function love.load()
	require "debug"
	require "player"
	require "stage"
	require "player-controls"

	--GLOBAL VARIABLES
	screen_x = love.graphics.getWidth()
	screen_y = love.graphics.getHeight()

	--INITIALIZE
	love.graphics.setBackgroundColor(5,5,30)
	player.load()
	stage.load()

end

function love.update(dt)
	love.timer.sleep(1/60) -- Limit to 60FPS
	player_controls_update(dt)
end

function love.draw()
	--DRAW CLASS
	player.draw()
	stage.draw()

	--DEBUG
	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.print("FPS: " .. love.timer.getFPS(), 0, 0)
end