stage = {}

function stage.load()

	stage.w, stage.h = 32, 32
	stage.outline = {
	{1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 1, 1, 0, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 1, 0, 1},
	{1, 0, 0, 0, 0, 0, 1, 1, 1, 1},
	{1, 0, 0, 1, 0, 0, 0, 1, 0, 1},
	{1, 1, 1, 1, 0, 0, 0, 0, 0, 1},
	{1, 0, 0, 0, 0, 0, 0, 0, 0, 1},
	{1, 1, 1, 1, 1, 1, 1, 1, 1, 1}
	}

end

function stage.draw()
	local lgr = love.graphics.rectangle
	local lgc = love.graphics.setColor
	local L, F = "line", "fill"

	for grid_y, a in ipairs(stage.outline) do
		for grid_x, tile_n in ipairs(a) do
			if tile_n == 1 then

				lgc(100, 255, 255, 150)

				lgr(F, (grid_x - 1) * stage.w,
					(grid_y - 1) * stage.h,
					stage.w, stage.h)

				lgc(255, 255, 255, 255)
				lgr(L, (grid_x - 1) * stage.w,
					(grid_y - 1) * stage.h,
					stage.w, stage.h)
			end
		end
	end
end